
// $Id: OSDSAXHandler.java,v 1.2 1999/03/22 09:26:51 larsga Exp $

package XSA;

import java.util.Hashtable;

import org.xml.sax.*;

/**
 * A SAX DocumentHandler and ErrorHandler for interpreting OSD
 * documents and building objects ready to be returned to the XSA client.
 */

class OSDSAXHandler extends SAXHandler {

  public OSDSAXHandler(XSAClient client, String url, Hashtable _pids,
		       ObjectFactory _factory) {
    super(client, url,_pids,_factory);
  }
  
  // ===== SAX event methods =====

  public void startElement (String name, AttributeList attributes)
    throws SAXException {
    if (name.equals("SOFTPKG")) {
      product=factory.createProduct();
      vendor.addProduct(product);
      product.setId(vendor.getURL());
      product.setVersion(attributes.getValue("VERSION"));
    } else if (name.equals("TITLE")) {
      element=name;
      contents=new StringBuffer();
    }
  }

  public void endElement (String name) throws SAXException {
    if (name.equals("TITLE")) {
      product.setName(normalizeWS(contents));
      element=null;
    }
  }
}
